CGEXEC(1)

NAME

cgexec - run the task in given control groups

SYNOPSIS
cgexec [-g <controllers>:<path>] [--sticky] command [arguments]

DESCRIPTION
The cgexec program executes the task command with arguments arguments in given control groups.

-g <controllers>:<path>
    defines control groups in which the task will be run. controllers is a list of controllers and path is the relative path to control groups in the given controllers list.

    This flag can be used multiple times to define multiple pairs of lists of controllers and relative paths. Instead of the list of all mounted controllers, wildcard b"*b" can be used.

    If this option is not used then cgexec will automatically place the task to the right cgroup based on /etc/cgrules.conf.

--sticky
    If running the task command with this option, the daemon of service cgred (cgrulesengd process) does not change both the task of the command and the children tasks. Without this option, the daemon does not change the task of the command but it changes the children tasks to the right cgroup based on /etc/cgrules.conf automatically.

EXAMPLES

cgexec -g *:test1 ls
runs command ls in control group test1 in all mounted controllers.

cgexec -g cpu,memory:test1 ls -l
runs command ls -l in control group test1 in controllers cpu and memory.

cgexec -g cpu,memory:test1 -g swap:test2 ls -l
runs command ls -l in control group test1 in controllers cpu and memory and control group test2 in controller swap.

FILES

/etc/cgrules.conf

default libcgroup configuration file

SEE ALSO
cgrules.conf (5)